# -*- mode: cperl -*-
use Test::More tests=>3;

BEGIN {
    use_ok('DAKKAR::Graylister')
        or die;
}

my ($host,$from,$to)=qw(10.1.0.0 gino@qui.it pino@li.com);
is_deeply([DAKKAR::Graylister::_cleanup_data($host,$from,$to)],
          [$host,$from,$to],
          'no cleanup');
$from='gino-return-10-@qui.it';
is_deeply([DAKKAR::Graylister::_cleanup_data($host,$from,$to)],
          [$host,'gino-return-$-@qui.it',,$to],
          'ezmlm cleanup');
