# -*- mode: cperl -*-
use Test::More tests=>3;
use File::Temp 'tempdir';
use DAKKAR::Graylister;

my $dbdir=tempdir(CLEANUP=>1);

local $ENV{SMTPMAILFROM}='gino';
local $ENV{SMTPRCPTTO}='pino';
local $ENV{TCPREMOTEIP}='10.1.2.3';
local $ENV{DAKGL_DBNAME}="$dbdir/gray2.db";
my ($host,$from,$to)=DAKKAR::Graylister::get_from_env();

ok(!DAKKAR::Graylister::is_whitelisted($host),'db touch');

ok(-f "$dbdir/gray2.db",'db file created');

DAKKAR::Graylister::add_to_whitelist($host);
ok(DAKKAR::Graylister::is_whitelisted($host),'whitelist');
